import javax.swing.*;
import java.awt.*;

public class ChatRoomGUI extends JFrame{
    private final String WINDOWS_TITLE = "AUT Chat Room";
    private final int WIDTH = 500, HEIGHT = 500;
    private final int X = 100, Y = 100;

    public ChatRoomGUI() {
        super();
        this.setTitle(WINDOWS_TITLE);
        this.setLayout(new BorderLayout());
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setSize(WIDTH, HEIGHT);
        this.setLocation(X, Y);

        chatArea chatbox = new chatArea();
        chatbox.addMessage("amir","hello!");
        chatbox.setVisible(true);
        this.add(new JScrollPane(chatbox), BorderLayout.CENTER);

        MessageArea messagebox = new MessageArea();
        this.add(messagebox,BorderLayout.PAGE_END);

        ParticipantsArea participantsArea = new ParticipantsArea();
        this.add(new JScrollPane(participantsArea),BorderLayout.WEST);
        participantsArea.addNewParticipant("akbar");
        participantsArea.removeParticipant("akbar");
        participantsArea.addNewParticipant("ali");
        participantsArea.addNewParticipant("asghar");

        this.setVisible(true);



    }

}